Export (0) Print
Expand All
This topic has not yet been rated - Rate this topic

Microsoft Security Bulletin Summary for April 2011

Published: April 12, 2011 | Updated: October 26, 2011

Version: 6.1

This bulletin summary lists security bulletins released for April 2011.

With the release of the security bulletins for April 2011, this bulletin summary replaces the bulletin advance notification originally issued April 7, 2011. For more information about the bulletin advance notification service, see Microsoft Security Bulletin Advance Notification.

For information about how to receive automatic notifications whenever Microsoft security bulletins are issued, visit Microsoft Technical Security Notifications.

Microsoft is hosting a webcast to address customer questions on these bulletins on April 13, 2011, at 11:00 AM Pacific Time (US & Canada). Register now for the April Security Bulletin Webcast. After this date, this webcast is available on-demand. For more information, see Microsoft Security Bulletin Summaries and Webcasts.

Microsoft also provides information to help customers prioritize monthly security updates with any non-security updates that are being released on the same day as the monthly security updates. Please see the section, Other Information.

Bulletin Information

The following table summarizes the security bulletins for this month in order of severity.

For details on affected software, see the next section, Affected Software and Download Locations.

Bulletin IDBulletin Title and Executive SummaryMaximum Severity Rating and Vulnerability ImpactRestart RequirementAffected Software
MS11-018 Cumulative Security Update for Internet Explorer (2497640 ) 

This security update resolves four privately reported vulnerabilities and one publicly disclosed vulnerability in Internet Explorer. This security update is rated Critical for Internet Explorer 6, Internet Explorer 7, and Internet Explorer 8 on Windows clients; and Moderate for Internet Explorer 6, Internet Explorer 7, and Internet Explorer 8 on Windows servers. Internet Explorer 9 is not affected by the vulnerabilities.

The most severe vulnerabilities could allow remote code execution if a user views a specially crafted Web page using Internet Explorer. An attacker who successfully exploited any of these vulnerabilities could gain the same user rights as the local user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.
Critical
Remote Code Execution
Requires restartMicrosoft Windows,
Internet Explorer
MS11-019 Vulnerabilities in SMB Client Could Allow Remote Code Execution (2511455) 

This security update resolves one publicly disclosed vulnerability and one privately reported vulnerability in Microsoft Windows. The more severe of these vulnerabilities could allow remote code execution if an attacker sent a specially crafted SMB response to a client-initiated SMB request. To exploit the vulnerability, an attacker must convince the user to initiate an SMB connection to a specially crafted SMB server.
Critical
Remote Code Execution
Requires restartMicrosoft Windows
MS11-020 Vulnerability in SMB Server Could Allow Remote Code Execution (2508429) 

This security update resolves a privately reported vulnerability in Microsoft Windows. The vulnerability could allow remote code execution if an attacker created a specially crafted SMB packet and sent the packet to an affected system. Firewall best practices and standard default firewall configurations can help protect networks from attacks originating outside the enterprise perimeter that would attempt to exploit these vulnerabilities.
Critical
Remote Code Execution
Requires restartMicrosoft Windows
MS11-027 Cumulative Security Update of ActiveX K ill Bits (2508272) 

This security update resolves two privately reported vulnerabilities and one publicly disclosed vulnerability in Microsoft software. The vulnerabilities could allow remote code execution if a user views a specially crafted Web page that instantiates a specific ActiveX control with Internet Explorer. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights. This update also includes kill bits for three third-party ActiveX controls.
Critical
Remote Code Execution
May require restartMicrosoft Windows
MS11-028 Vulnerability in .NET Framew ork Could Allow Remote Code Execution (2484015) 

This security update resolves a publicly disclosed vulnerability in Microsoft .NET Framework. The vulnerability could allow remote code execution on a client system if a user views a specially crafted Web page using a Web browser that can run XAML Browser Applications (XBAPs). Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights. The vulnerability could also allow remote code execution on a server system running IIS, if that server allows processing ASP.NET pages and an attacker succeeds in uploading a specially crafted ASP.NET page to that server and then executes the page, as could be the case in a Web hosting scenario. This vulnerability could also be used by Windows .NET applications to bypass Code Access Security (CAS) restrictions.
Critical
Remote Code Execution
May require restartMicrosoft Windows
MS11-029 Vulnerability in GDI+ Could Allow Remote Code Execution (2489979) 

This security update resolves a privately reported vulnerability in Microsoft Windows GDI+. The vulnerability could allow remote code execution if a user viewed a specially crafted image file using affected software or browsed a Web site that contains specially crafted content. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.
Critical
Remote Code Execution
May require restartMicrosoft Windows,
Microsoft Office
MS11-030 Vulnerability in DNS Resolution Could Allow Remote Code Execution (2509553) 

This security update resolves a privately reported vulnerability in Windows DNS resolution. The vulnerability could allow remote code execution if an attacker gained access to the network and then created a custom program to send specially crafted LLMNR broadcast queries to the target systems. Firewall best practices and standard default firewall configurations can help protect networks from attacks that originate outside the enterprise perimeter. Best practices recommend that systems that are connected to the Internet have a minimal number of ports exposed. In this case, the LLMNR ports should be blocked from the Internet.
Critical
Remote Code Execution
Requires restartMicrosoft Windows
MS11-031 Vulnerability in JScript and VBScript Scripting Engines Could Allow Remote Code Execution (2514666) 

This security update resolves a privately reported vulnerability in the JScript and VBScript scripting engines. The vulnerability could allow remote code execution if a user visited a specially crafted Web site. An attacker would have no way to force users to visit the Web site. Instead, an attacker would have to convince users to visit the Web site, typically by getting them to click a link in an e-mail message or Instant Messenger message that takes users to the attacker's Web site.
Critical
Remote Code Execution
May require restartMicrosoft Windows
MS11-032 Vulnerability in the OpenType Compact Font Format (CFF) Driver Could Allow Remote Code Execution (2507618) 

This security update resolves a privately reported vulnerability in the OpenType Compact Font Format (CFF) driver. The vulnerability could allow remote code execution if a user views content rendered in a specially crafted CFF font. In all cases, an attacker would have no way to force users to view the specially crafted content. Instead, an attacker would have to convince users to visit a Web site, typically by getting them to click a link in an e-mail message or Instant Messenger message that takes users to the attacker's Web site.
Critical
Remote Code Execution
Requires restartMicrosoft Windows
MS11-021 Vulnerabilities in Microsoft Excel Could Allow Remote Code Execution (2489279) 

This security update resolves nine privately reported vulnerabilities in Microsoft Office. The vulnerabilities could allow remote code execution if a user opens a specially crafted Excel file. An attacker who successfully exploited any of these vulnerabilities could gain the same user rights as the logged-on user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.
Important
Remote Code Execution
May require restartMicrosoft Office
MS11-022 Vulnerabilities in Microsoft PowerPoint Could Allow Remote Code Execution (2489283) 

This security update resolves three privately reported vulnerabilities in Microsoft PowerPoint. The vulnerabilities could allow remote code execution if a user opens a specially crafted PowerPoint file. An attacker who successfully exploited any of these vulnerabilities could gain the same user rights as the local user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights. The automated Microsoft Fix it solution for PowerPoint 2010, "Disable Edit in Protected View for PowerPoint 2010," available in Microsoft Knowledge Base Article 2501584, blocks the attack vectors for exploiting the vulnerabilities described in CVE-2011-0655 and CVE-2011-0656.
Important
Remote Code Execution
May require restartMicrosoft Office,
Microsoft Server Software
MS11-023 Vulnerabilities in Microsoft Office Could Allow Remote Code E xecution (2489293) 

This security update resolves one publicly disclosed vulnerability and one privately reported vulnerability in Microsoft Office. The vulnerabilities could allow remote code execution if a user opens a specially crafted Office file or if a user opens a legitimate Office file that is located in the same network directory as a specially crafted library file. An attacker who successfully exploited either of these vulnerabilities could gain the same user rights as the logged on user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.
Important
Remote Code Execution
May require restartMicrosoft Office
MS11-024 Vulnerabilities in Windows Fax Cover Page Editor Could Allow Remote Code Execution (2527308) 

This security update resolves two publicly disclosed vulnerabilities in Microsoft Windows. The vulnerabilities could allow remote code execution if a user opened a specially crafted fax cover page file (.cov) using the Windows Fax Cover Page Editor. An attacker who successfully exploited either of these vulnerabilities could gain the same user rights as the logged-on user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.
Important
Remote Code Execution
May require restartMicrosoft Windows
MS11-025 Vulnerability in Microsoft Foundation Class (MFC) Library Could Allow Remote Code Execution (2500212) 

This security update resolves a publicly disclosed vulnerability in certain applications built using the Microsoft Foundation Class (MFC) Library. The vulnerability could allow remote code execution if a user opens a legitimate file associated with such an affected application, and the file is located in the same network folder as a specially crafted library file. For an attack to be successful, a user must visit an untrusted remote file system location or WebDAV share and open a document from this location that is then loaded by the affected application.
Important
Remote Code Execution
May require restartMicrosoft Developer Tools and Software
MS11-026 Vulnerability in MHTML Could Allow Information Disclosure (2503658) 

This security update resolves a publicly disclosed vulnerability in the MHTML protocol handler in Microsoft Windows. The vulnerability could allow information disclosure if a user visited a specially crafted Web site. In a Web-based attack scenario, a Web site could contain a specially crafted link that is used to exploit this vulnerability. An attacker would have to convince users to visit the Web site and open the specially crafted link.
Important
Information Disclosure
Requires restartMicrosoft Windows
MS11-033 Vulnerability in WordPad Text Converters Could Allow Remote Code Execution (2485663) 

This security update resolves a privately reported vulnerability in Microsoft Windows. This security update is rated Important for all supported editions of Windows XP and Windows Server 2003. All supported editions of Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2 are not affected by the vulnerability.

The vulnerability could allow remote code execution if a user opened a specially crafted file using WordPad. An attacker who successfully exploited this vulnerability could gain the same user rights as the local user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.
Important
Remote Code Execution
May require restartMicrosoft Windows
MS11-034 Vulnerabilities in Windows Kernel-Mode Drivers Could Allow Elevation of Privilege (2506223) 

This security update resolves thirty privately reported vulnerabilities in Microsoft Windows. The vulnerabilities could allow elevation of privilege if an attacker logged on locally and ran a specially crafted application. An attacker must have valid logon credentials and be able to log on locally to exploit these vulnerabilities. The vulnerabilities could not be exploited remotely or by anonymous users.
Important
Elevation of Privilege
Requires restartMicrosoft Windows

The following table provides an exploitability assessment of each of the vulnerabilities addressed this month. The vulnerabilities are listed in order of decreasing exploitability assessment level then CVE ID. Only vulnerabilities that have a severity rating of Critical or Important in the bulletins are included.

How do I use this table?

Use this table to learn about the likelihood of functioning exploit code being released within 30 days of security bulletin release, for each of the security updates that you may need to install. You should review each of the assessments below, in accordance with your specific configuration, in order to prioritize your deployment. For more information about what these ratings mean, and how they are determined, please see Microsoft Exploitability Index.

Bulletin IDVulnerability TitleCVE IDExploitability Index AssessmentKey Notes
MS11-025 MFC Insecure Library Loading Vulnerability CVE-2010-3190 1 - Consistent exploit code likelyThis vulnerability has been disclosed publicly
MS11-028 .NET Framework Stack Corruption Vulnerability CVE-2010-3958 1 - Consistent exploit code likelyThis vulnerability has been disclosed publicly
MS11-032 OpenType Font Stack Overflow Vulnerability CVE-2011-0034 1 - Consistent exploit code likely(None)
MS11-029 GDI+ Integer Overflow Vulnerability CVE-2011-0041 1 - Consistent exploit code likely(None)
MS11-018 Layouts Handling Memory Corruption Vulnerability CVE-2011-0094 1 - Consistent exploit code likely This vulnerability is being exploited in limited, targeted attacks
MS11-021 Excel Integer Overrun Vulnerability CVE-2011-0097 1 - Consistent exploit code likely(None)
MS11-021 Excel Heap Overflow Vulnerability CVE-2011-0098 1 - Consistent exploit code likely(None)
MS11-021 Excel Record Parsing WriteAV Vulnerability CVE-2011-0101 1 - Consistent exploit code likely(None)
MS11-023 Office Component Insecure Library Loading Vulnerability CVE-2011-0107 1 - Consistent exploit code likelyThis vulnerability has been disclosed publicly
MS11-018 MSHTML Memory Corruption Vulnerability CVE-2011-0346 1 - Consistent exploit code likelyThis vulnerability has been disclosed publicly
MS11-019 SMB Client Response Parsing Vulnerability CVE-2011-0660 1 - Consistent exploit code likely(None)
MS11-020 SMB Transaction Parsing Vulnerability CVE-2011-0661 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0662 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0665 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0666 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0667 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0670 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0671 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0672 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-0673 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0674 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-0675 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-0676 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-0677 1 - Consistent exploit code likely(None)
MS11-022 OfficeArt Atom RCE Vulnerability CVE-2011-0976 1 - Consistent exploit code likely(None)
MS11-021 Excel Array Indexing Vulnerability CVE-2011-0978 1 - Consistent exploit code likely(None)
MS11-021 Excel Linked List Corruption Vulnerability CVE-2011-0979 1 - Consistent exploit code likely(None)
MS11-021 Excel Dangling Pointer Vulnerability CVE-2011-0980 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1225 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1226 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1227 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1228 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1229 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1230 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1231 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1232 1 - Consistent exploit code likely(None)
MS11-034 Win32k Null Pointer De-reference Vulnerability CVE-2011-1233 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1235 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1236 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1237 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1239 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1240 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1241 1 - Consistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1242 1 - Consistent exploit code likely(None)
MS11-018 Object Management Memory Corruption Vulnerability CVE-2011-1345 1 - Consistent exploit code likely This vulnerability is being exploited in limited, targeted attacks
MS11-033 WordPad Converter Parsing Vulnerability CVE-2011-0028 2 - Inconsistent exploit code likely(None)
MS11-021 Excel Memory Corruption Vulnerability CVE-2011-0103 2 - Inconsistent exploit code likely(None)
MS11-021 Excel Buffer Overwrite Vulnerability CVE-2011-0104 2 - Inconsistent exploit code likely(None)
MS11-021 Excel Data Initialization Vulnerability CVE-2011-0105 2 - Inconsistent exploit code likely(None)
MS11-019 Browser Pool Corruption Vulnerability CVE-2011-0654 2 - Inconsistent exploit code likelyThis vulnerability has been disclosed publicly
MS11-022 Floating Point Techno-color Time Bandit RCE Vulnerability CVE-2011-0655 2 - Inconsistent exploit code likely(None)
MS11-022 Persist Directory RCE Vulnerability CVE-2011-0656 2 - Inconsistent exploit code likely(None)
MS11-030 DNS Query Vulnerability CVE-2011-0657 2 - Inconsistent exploit code likely(None)
MS11-031 Scripting Memory Reallocation Vulnerability CVE-2011-0663 2 - Inconsistent exploit code likely(None)
MS11-023 Microsoft Office Graphic Object Dereferencing Vulnerability CVE-2011-0977 2 - Inconsistent exploit code likely(None)
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1234 2 - Inconsistent exploit code likely(None)
MS11-024 Fax Cover Page Editor Memory Corruption Vulnerability CVE-2010-3974 3 – Functioning exploit code unlikelyThis vulnerability has been disclosed publicly
MS11-024 Fax Cover Page Use After Free Vulnerability CVE-2010-4701 3 – Functioning exploit code unlikelyThis vulnerability has been disclosed publicly
MS11-026 MHTML Mime-Formatted Request Vulnerability CVE-2011-0096 3 – Functioning exploit code unlikelyThis vulnerability has been disclosed publicly

This is an information disclosure vulnerability
MS11-034 Win32k Use After Free Vulnerability CVE-2011-1238 3 – Functioning exploit code unlikely(None)
MS11-018 Javascript Information Disclosure Vulnerability CVE-2011-1245 3 – Functioning exploit code unlikelyThis is an information disclosure vulnerability

The following tables list the bulletins in order of major software category and severity.

How do I use these tables?

Use these tables to learn about the security updates that you may need to install. You should review each software program or component listed to see whether any security updates pertain to your installation. If a software program or component is listed, then the available software update is hyperlinked and the severity rating of the software update is also listed.

Note You may have to install several security updates for a single vulnerability. Review the whole column for each bulletin identifier that is listed to verify the updates that you have to install, based on the programs or components that you have installed on your system.

Windows Operating System and Components

Windows XP
Bulletin Identifier MS11-018 MS11-019 MS11-020 MS11-027 MS11-028 MS11-029 MS11-030 MS11-031 MS11-032 MS11-024 MS11-026 MS11-033 MS11-034
Aggregate Severity Rating Critical Critical Critical Critical Critical Critical Important Critical Important Important Important Important Important
Windows XP Service Pack 3 Internet Explorer 6
(Critical)

Internet Explorer 7
(Critical)

Internet Explorer 8
(Critical)
Windows XP Service Pack 3
(Critical)
Windows XP Service Pack 3
(Critical)
Windows XP Service Pack 3
(Critical)
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2446704)
(Critical)

Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Windows XP Service Pack 3
(KB2412687)
(Critical)
Windows XP Service Pack 3
(Important)
JScript 5.7 and VBScript 5.7
(KB2510581)
(Critical)

JScript 5.8 and VBScript 5.8
(KB2510531)
(Critical)
Windows XP Service Pack 3
(Important)
Windows XP Service Pack 3 
(KB2491683)
(Important)

Windows XP Service Pack 3 
(KB2506212)
(Important)
Windows XP Service Pack 3
(Important)
Windows XP Service Pack 3
(Important)
Windows XP Service Pack 3
(Important)
Windows XP Professional x64 Edition Service Pack 2 Internet Explorer 6
(Critical)

Internet Explorer 7
(Critical)

Internet Explorer 8
(Critical)
Windows XP Professional x64 Edition Service Pack 2
(Critical)
Windows XP Professional x64 Edition Service Pack 2
(Critical)
Windows XP Professional x64 Edition Service Pack 2
(Critical)
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2446704)
(Critical)

Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Windows XP Professional x64 Edition Service Pack 2
(KB2412687)
(Critical)
Windows XP Professional x64 Edition Service Pack 2
(Important)
JScript 5.6 and VBScript 5.6
(KB2510587)
(Critical)

JScript 5.7 and VBScript 5.7
(KB2510581)
(Critical)

JScript 5.8 and VBScript 5.8
(KB2510531)
(Critical)
Windows XP Professional x64 Edition Service Pack 2
(Important)
Windows XP Professional x64 Edition Service Pack 2 
(KB2491683)
(Important)

Windows XP Professional x64 Edition Service Pack 2 
(KB2506212)
(Important)
Windows XP Professional x64 Edition Service Pack 2
(Important)
Windows XP Professional x64 Edition Service Pack 2
(Important)
Windows XP Professional x64 Edition Service Pack 2
(Important)
Windows Server 2003
Bulletin Identifier MS11-018 MS11-019 MS11-020 MS11-027 MS11-028 MS11-029 MS11-030 MS11-031 MS11-032 MS11-024 MS11-026 MS11-033 MS11-034
Aggregate Severity Rating Moderate Critical Critical Moderate Critical Critical Important Critical Important Important Low Important Important
Windows Server 2003 Service Pack 2 Internet Explorer 6
(Moderate)

Internet Explorer 7
(Moderate)

Internet Explorer 8
(Moderate)
Windows Server 2003 Service Pack 2
(Critical)
Windows Server 2003 Service Pack 2
(Critical)
Windows Server 2003 Service Pack 2
(Moderate)
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2446704)
(Critical)

Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Windows Server 2003 Service Pack 2
(KB2412687)
(Critical)
Windows Server 2003 Service Pack 2
(Important)
JScript 5.6 and VBScript 5.6
(KB2510587)
(Critical)

JScript 5.7 and VBScript 5.7
(KB2510581)
(Critical)

JScript 5.8 and VBScript 5.8
(KB2510531)
(Critical)
Windows Server 2003 Service Pack 2
(Important)
Windows Server 2003 Service Pack 2 
(KB2491683)
(Important)

Windows Server 2003 Service Pack 2 
(KB2506212)
(Important)
Windows Server 2003 Service Pack 2
(Low)
Windows Server 2003 Service Pack 2
(Important)
Windows Server 2003 Service Pack 2
(Important)
Windows Server 2003 x64 Edition Service Pack 2 Internet Explorer 6
(Moderate)

Internet Explorer 7
(Moderate)

Internet Explorer 8
(Moderate)
Windows Server 2003 x64 Edition Service Pack 2
(Critical)
Windows Server 2003 x64 Edition Service Pack 2
(Critical)
Windows Server 2003 x64 Edition Service Pack 2
(Moderate)
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2446704)
(Critical)

Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Windows Server 2003 x64 Edition Service Pack 2
(KB2412687)
(Critical)
Windows Server 2003 x64 Edition Service Pack 2
(Important)
JScript 5.6 and VBScript 5.6
(KB2510587)
(Critical)

JScript 5.7 and VBScript 5.7
(KB2510581)
(Critical)

JScript 5.8 and VBScript 5.8
(KB2510531)
(Critical)
Windows Server 2003 x64 Edition Service Pack 2
(Important)
Windows Server 2003 x64 Edition Service Pack 2 
(KB2491683)
(Important)

Windows Server 2003 x64 Edition Service Pack 2 
(KB2506212)
(Important)
Windows Server 2003 x64 Edition Service Pack 2
(Low)
Windows Server 2003 x64 Edition Service Pack 2
(Important)
Windows Server 2003 x64 Edition Service Pack 2
(Important)
Windows Server 2003 with SP2 for Itanium-based Systems Internet Explorer 6
(Moderate)

Internet Explorer 7
(Moderate)
Windows Server 2003 with SP2 for Itanium-based Systems
(Critical)
Windows Server 2003 with SP2 for Itanium-based Systems
(Critical)
Windows Server 2003 with SP2 for Itanium-based Systems
(No severity rating[1])
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2446704)
(Critical)

Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Windows Server 2003 with SP2 for Itanium-based Systems
(KB2412687)
(Critical)
Windows Server 2003 with SP2 for Itanium-based Systems
(Important)
JScript 5.6 and VBScript 5.6
(KB2510587)
(Critical)

JScript 5.7 and VBScript 5.7
(KB2510581)
(Critical)
Windows Server 2003 with SP2 for Itanium-based Systems
(Important)
Windows Server 2003 with SP2 for Itanium-based Systems 
(KB2491683)
(Important)

Windows Server 2003 with SP2 for Itanium-based Systems 
(KB2506212)
(Important)
Windows Server 2003 with SP2 for Itanium-based Systems
(Low)
Windows Server 2003 with SP2 for Itanium-based Systems
(Important)
Windows Server 2003 with SP2 for Itanium-based Systems
(Important)
Windows Vista
Bulletin Identifier MS11-018 MS11-019 MS11-020 MS11-027 MS11-028 MS11-029 MS11-030 MS11-031 MS11-032 MS11-024 MS11-026 MS11-033 MS11-034
Aggregate Severity Rating Critical Critical Critical Critical Critical Critical Critical Critical Critical Important Important None Important
Windows Vista Service Pack 1 and Windows Vista Service Pack 2 Internet Explorer 7
(Critical)

Internet Explorer 8
(Critical)
Windows Vista Service Pack 1 and Windows Vista Service Pack 2
(Critical)
Windows Vista Service Pack 1 and Windows Vista Service Pack 2
(Critical)
Windows Vista Service Pack 1 and Windows Vista Service Pack 2
(Critical)
Windows Vista Service Pack 1 only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2449741)
(Critical)

Windows Vista Service Pack 2 only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2449742)
(Critical)

Windows Vista Service Pack 1 and Windows Vista Service Pack 2:
Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Windows Vista Service Pack 1 and Windows Vista Service Pack 2
(KB2412687)
(Critical)
Windows Vista Service Pack 1 and Windows Vista Service Pack 2
(Critical)
JScript 5.7 and VBScript 5.7
(KB2510581)
(Critical)

JScript 5.8 and VBScript 5.8[1]
(KB2510531)
(Critical)
Windows Vista Service Pack 1 and Windows Vista Service Pack 2
(Critical)
Windows Vista Service Pack 1 and Windows Vista Service Pack 2 
(KB2491683)
(Important)

Windows Vista Service Pack 1 and Windows Vista Service Pack 2 
(KB2506212)
(Important)
Windows Vista Service Pack 1 and Windows Vista Service Pack 2
(Important)
Not applicable Windows Vista Service Pack 1 and Windows Vista Service Pack 2
(Important)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2 Internet Explorer 7
(Critical)

Internet Explorer 8
(Critical)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2
(Critical)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2
(Critical)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2
(Critical)
Windows Vista x64 Edition Service Pack 1 only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2449741)
(Critical)

Windows Vista x64 Edition Service Pack 2 only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2449742)
(Critical)

Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2:
Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2
(KB2412687)
(Critical)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2
(Critical)
JScript 5.7 and VBScript 5.7
(KB2510581)
(Critical)

JScript 5.8 and VBScript 5.8[1]
(KB2510531)
(Critical)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2
(Critical)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2 
(KB2491683)
(Important)

Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2 
(KB2506212)
(Important)
Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2
(Important)
Not applicable Windows Vista x64 Edition Service Pack 1 and Windows Vista x64 Edition Service Pack 2
(Important)
Windows Server 2008
Bulletin Identifier MS11-018 MS11-019 MS11-020 MS11-027 MS11-028 MS11-029 MS11-030 MS11-031 MS11-032 MS11-024 MS11-026 MS11-033 MS11-034
Aggregate Severity Rating Moderate Critical Critical Moderate Critical Critical Critical Critical Critical Important Low None Important
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2 Internet Explorer 7**
(Moderate)

Internet Explorer 8**
(Moderate)
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2*
(Critical)
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2*
(Critical)
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2**
(Moderate)
Windows Server 2008 for 32-bit Systems only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1**
(KB2449741)
(Critical)

Windows Server 2008 for 32-bit Systems Service Pack 2 only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1**
(KB2449742)
(Critical)

Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2:
Microsoft .NET Framework 4.0**[1]
(KB2446708)
(Critical)
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2***
(KB2412687)
(Critical)
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2*
(Critical)
JScript 5.7 and VBScript 5.7**
(KB2510581)
(Critical)

JScript 5.8 and VBScript 5.8**[1]
(KB2510531)
(Critical)
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2*
(Critical)
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2** 
(KB2491683)
(Important)

Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2
(KB2506212)
(Important)
Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2**
(Low)
Not applicable Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2*
(Important)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2 Internet Explorer 7**
(Moderate)

Internet Explorer 8**
(Moderate)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2*
(Critical)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2*
(Critical)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2**
(Moderate)
Windows Server 2008 for x64-based Systems only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1**
(KB2449741)
(Critical)

Windows Server 2008 for x64-based Systems Service Pack 2 only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1**
(KB2449742)
(Critical)

Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2:
Microsoft .NET Framework 4.0**[1]
(KB2446708)
(Critical)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2***
(KB2412687)
(Critical)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2*
(Critical)
JScript 5.7 and VBScript 5.7**
(KB2510581)
(Critical)

JScript 5.8 and VBScript 5.8**[1]
(KB2510531)
(Critical)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2*
(Critical)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2** 
(KB2491683)
(Important)

Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2
(KB2506212)
(Important)
Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2**
(Low)
Not applicable Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2*
(Important)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2 Internet Explorer 7
(Moderate)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2
(Critical)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2
(Critical)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2
(No severity rating[1])
Windows Server 2008 for Itanium-based Systems only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2449741)
(Critical)

Windows Server 2008 for Itanium-based Systems Service Pack 2 only:
Microsoft .NET Framework 2.0 Service Pack 2 and Microsoft .NET Framework 3.5 Service Pack 1
(KB2449742)
(Critical)

Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2:
Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2
(KB2412687)
(Critical)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2
(Critical)
JScript 5.7 and VBScript 5.7
(KB2510581)
(Critical)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2
(Critical)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2 
(KB2506212)
(Important)
Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2
(Low)
Not applicable Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2
(Important)
Windows 7
Bulletin Identifier MS11-018 MS11-019 MS11-020 MS11-027 MS11-028 MS11-029 MS11-030 MS11-031 MS11-032 MS11-024 MS11-026 MS11-033 MS11-034
Aggregate Severity Rating Critical Critical Critical Critical Critical None Critical Critical Critical Important Important None Important
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1 Internet Explorer 8
(Critical)
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1
(Critical)
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1
(Critical)
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1
(Critical)
Windows 7 for 32-bit Systems only:
Microsoft .NET Framework 3.5.1
(KB2446709)
(Critical)

Windows 7 for 32-bit Systems Service Pack 1 only:
Microsoft .NET Framework 3.5.1
(KB2446710)
(Critical)

Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1:
Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Not applicable Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1
(Critical)
JScript 5.8 and VBScript 5.8 [1]
(KB2510531)
(Critical)
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1
(Critical)
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1 
(KB2491683)
(Important)

Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1 
(KB2506212)
(Important)
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1
(Important)
Not applicable Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1
(Important)
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1 Internet Explorer 8
(Critical)
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1
(Critical)
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1
(Critical)
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1
(Critical)
Windows 7 for x64-based Systems only:
Microsoft .NET Framework 3.5.1
(KB2446709)
(Critical)

Windows 7 for x64-based Systems Service Pack 1 only:
Microsoft .NET Framework 3.5.1
(KB2446710)
(Critical)

Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1:
Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Not applicable Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1
(Critical)
JScript 5.8 and VBScript 5.8 [1]
(KB2510531)
(Critical)
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1
(Critical)
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1 
(KB2491683)
(Important)

Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1 
(KB2506212)
(Important)
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1
(Important)
Not applicable Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1
(Important)
Windows Server 2008 R2
Bulletin Identifier MS11-018 MS11-019 MS11-020 MS11-027 MS11-028 MS11-029 MS11-030 MS11-031 MS11-032 MS11-024 MS11-026 MS11-033 MS11-034
Aggregate Severity Rating Moderate Critical Critical Moderate Critical None Critical Critical Critical Important Low None Important
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1 Internet Explorer 8**
(Moderate)
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1*
(Critical)
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1*
(Critical)
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1**
(Moderate)
Windows Server 2008 R2 for x64-based Systems only:
Microsoft .NET Framework 3.5.1*
(KB2446709)
(Critical)

Windows Server 2008 R2 for x64-based Systems only:
Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)

Windows Server 2008 R2 for x64-based Systems Service Pack 1 only:
Microsoft .NET Framework 3.5.1*
(KB2446710)
(Critical)

Windows Server 2008 R2 for x64-based Systems Service Pack 1 only:
Microsoft .NET Framework 4.0*[1]
(KB2446708)
(Critical)
Not applicable Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1*
(Critical)
JScript 5.8 and VBScript 5.8**[1]
(KB2510531)
(Critical)
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1*
(Critical)
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1** 
(KB2491683)
(Important)

Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1
(KB2506212)
(Important)
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1**
(Low)
Not applicable Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1*
(Important)
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 Internet Explorer 8
(Moderate)
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(Critical)
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(Critical)
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(Moderate)
Windows Server 2008 R2 for Itanium-based Systems only:
Microsoft .NET Framework 3.5.1
(KB2446709)
(Critical)

Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 only:
Microsoft .NET Framework 3.5.1
(KB2446710)
(Critical)

Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1:
Microsoft .NET Framework 4.0[1]
(KB2446708)
(Critical)
Not applicable Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(Critical)
JScript 5.8 and VBScript 5.8 [1]
(KB2510531)
(Critical)
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(Critical)
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 
(KB2506212)
(Important)
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(Low)
Not applicable Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(Important)

Notes for Windows Server 2008 and Windows Server 2008 R2

*Server Core installation affected. This update applies, with the same severity rating, to supported editions of Windows Server 2008 or Windows Server 2008 R2 as indicated, whether or not installed using the Server Core installation option. For more information on this installation option, see the TechNet articles, Managing a Server Core Installation and Servicing a Server Core Installation. Note that the Server Core installation option does not apply to certain editions of Windows Server 2008 and Windows Server 2008 R2; see Compare Server Core Installation Options.

**Server Core installation not affected. The vulnerabilities addressed by this update do not affect supported editions of Windows Server 2008 or Windows Server 2008 R2 as indicated, when installed using the Server Core installation option. For more information on this installation option, see the TechNet articles, Managing a Server Core Installation and Servicing a Server Core Installation. Note that the Server Core installation option does not apply to certain editions of Windows Server 2008 and Windows Server 2008 R2; see Compare Server Core Installation Options.

***Server Core installation not affected. The vulnerabilities addressed by this update do not affect supported editions of Windows Server 2008 or Windows Server 2008 R2 as indicated, when installed using the Server Core installation option, even though files affected by this vulnerability may be present on the system. However, users with the affected files will still be offered this update because the update files are newer (with higher version numbers) than the files that are currently on your system. For more information on this installation option, see the TechNet articles, Managing a Server Core Installation and Servicing a Server Core Installation. Note that the Server Core installation option does not apply to certain editions of Windows Server 2008 and Windows Server 2008 R2; see Compare Server Core Installation Options.

Note for MS11-027

[1]This specific operating system is not affected by the vulnerabilities described in this bulletin. The available update sets the kill bits for third-party controls.

Note for MS11-028

[1] .NET Framework 4.0 and .NET Framework 4.0 Client Profile affected. The .NET Framework version 4 redistributable packages are available in two profiles: .NET Framework 4.0 and .NET Framework 4.0 Client Profile. .NET Framework 4.0 Client Profile is a subset of .NET Framework 4.0. The vulnerability addressed in this update affects both .NET Framework 4.0 and .NET Framework 4.0 Client Profile. For more information, see: Installing the .NET Framework.

Note for MS11-029

See also other software categories under this section, Affected Software and Download Locations, for more update files under the same bulletin identifier. This bulletin spans more than one software category.

Note for MS11-031

[1]Systems with Internet Explorer 9 installed are not affected and do not require this update. Systems that have not been upgraded with Internet Explorer 9 will need the correct update for the versions of JScript and VBScript installed on them. For instructions on how to determine the versions of JScript and VBScript installed on your system, see the bulletin.

Note for MS11-024

Where two updates are available for the same operating system, install both updates.

Microsoft Office Suites and Software

Microsoft Office Suites and Components
Bulletin Identifier MS11-029 MS11-021 MS11-022 MS11-023
Aggregate Severity Ratin g Important Important Important Important
Microsoft Office XP Service Pack 3 Microsoft Office XP Service Pack 3
(KB2509461)
(Important)
Microsoft Excel 2002 Service Pack 3
(KB2466169)
(Important)
Microsoft PowerPoint 2002 Service Pack 3
(KB2464617)
(Important)
Microsoft Office XP Service Pack 3
(KB2509461)
(Important)
Microsoft Office 2003 Service Pack 3Not applicable Microsoft Excel 2003 Service Pack 3
(KB2502786)
(Important)
Microsoft PowerPoint 2003 Service Pack 3
(KB2464588)
(Important)
Microsoft Office 2003 Service Pack 3
(KB2509503)
(Important)
Microsoft Office 2007 Service Pack 2Not applicable Microsoft Excel 2007 Service Pack 2 [1]
(KB2464583)
(Important)
Microsoft PowerPoint 2007 Service Pack 2
(KB2464594)
(Important)
Microsoft Office 2007 Service Pack 2
(KB2509488)
(Important)
Microsoft Office 2010 (32-bit editions)Not applicable Microsoft Excel 2010 (32-bit editions)
(KB2466146)
(Important)
Microsoft PowerPoint 2010 (32-bit editions)
(KB2519975)
(Important)
Not applicable
Microsoft Office 2010 (64-bit editions)Not applicable Microsoft Excel 2010 (64-bit editions)
(KB2466146)
(Important)
Microsoft PowerPoint 2010 (64-bit editions)
(KB2519975)
(Important)
Not applicable
Microsoft Office for Mac
Bulletin Identifier MS11-029 MS11-021 MS11-022 MS11-023
Aggregate Severity Rating None Important Important Important
Microsoft Office 2004 for MacNot applicable Microsoft Office 2004 for Mac
(KB2505924)
(Important)
Microsoft Office 2004 for Mac
(KB2505924)
(Important)
Microsoft Office 2004 for Mac
(KB2505924)
(Important)
Microsoft Office 2008 for MacNot applicable Microsoft Office 2008 for Mac
(KB2505927)
(Important)
Microsoft Office 2008 for Mac
(KB2505927)
(Important)
Microsoft Office 2008 for Mac
(KB2505927)
(Important)
Microsoft Office for Mac 2011Not applicable Microsoft Office for Mac 2011
(KB2525412)
(Important)
Microsoft Office for Mac 2011
(KB2525412)
(Important)
Not applicable
Open XML File Format Converter for MacNot applicable Open XML File Format Converter for Mac
(KB2505935)
(Important)
Open XML File Format Converter for Mac
(KB2505935)
(Important)
Open XML File Format Converter for Mac
(KB2505935)
(Important)
Other Office Software
Bulletin Identifier MS11-029 MS11-021 MS11-022 MS11-023
Aggregate Severity Rating None Important Important None
Microsoft Excel Viewer Service Pack 2Not applicable Microsoft Excel Viewer Service Pack 2
(KB2466158)
(Important)
Not applicableNot applicable
Microsoft PowerPoint Viewer 2007 Service Pack 2Not applicableNot applicable Microsoft PowerPoint Viewer 2007 Service Pack 2
(KB2464623)
(Important)
Not applicable
Microsoft PowerPoint ViewerNot applicableNot applicable Microsoft PowerPoint Viewer
(KB2519984)
(Important)
Not applicable
Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 2Not applicable Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 2
(KB2466156)
(Important)
Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 2
(KB2464635)
(Important)
Not applicable

Note for MS11-029

See also other software categories under this section, Affected Software and Download Locations, for more update files under the same bulletin identifier. This bulletin spans more than one software category.

Note for MS11-021

[1]For Microsoft Excel 2007 Service Pack 2, in addition to security update package KB2464583, customers also need to install the security update for Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 2 (KB2466156) to be protected from the vulnerabilities described in this bulletin.

Note for MS11-022

See also other software categories under this section, Affected Software and Download Locations, for more update files under the same bulletin identifier. This bulletin spans more than one software category.

Microsoft Server Software

Microsoft Office Web Apps
Bulletin Identifier MS11-022
Aggregate Severity Rating Important
Microsoft Office Web Apps Microsoft PowerPoint Web App
(KB2520047)
(Important)

Note for MS11-022

See also other software categories under this section, Affected Software and Download Locations, for more update files under the same bulletin identifier. This bulletin spans more than one software category.

Microsoft Developer Tools and Software

Microsoft Visual Studio
Bulletin Identifier MS11-025
Aggregate Severity Rating Important
Microsoft Visual Studio .NET 2003 Service Pack 1 Microsoft Visual Studio .NET 2003 Service Pack 1
(KB2465373)
(Important)
Microsoft Visual Studio 2005 Service Pack 1 Microsoft Visual Studio 2005 Service Pack 1
(KB2538218)
(Important)
Microsoft Visual Studio 2008 Service Pack 1 Microsoft Visual Studio 2008 Service Pack 1
(KB2538241)
(Important)
Microsoft Visual Studio 2010 and Microsoft Visual Studio 2010 Service Pack 1 Microsoft Visual Studio 2010
(KB2542054)
(Important)

Microsoft Visual Studio 2010 Service Pack 1
(KB2565057)
(Important)
Microsoft Visual C++ 2005 Service Pack 1 Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package
(KB2538242)
(Important)
Microsoft Visual C++ 2008 Service Pack 1 Microsoft Visual C++ 2008 Service Pack 1 Redistributable Package
(KB2538243)
(Important)
Microsoft Visual C++ 2010 and Microsoft Visual C++ 2010 Service Pack 1 Microsoft Visual C++ 2010 Redistributable Package
(KB2467173)
(Important)

Microsoft Visual C++ 2010 Redistributable Package Service Pack 1
(KB2565063)
(Important)

Security Central

Manage the software and security updates you need to deploy to the servers, desktop, and mobile computers in your organization. For more information see the TechNet Update Management Center. The TechNet Security Center provides additional information about security in Microsoft products. Consumers can visit Security At Home, where this information is also available by clicking "Latest Security Updates".

Security updates are available from Microsoft Update and Windows Update. Security updates are also available at the Microsoft Download Center. You can find them most easily by doing a keyword search for "security update".

For customers of Microsoft Office for Mac, Microsoft AutoUpdate for Mac can help keep your Microsoft software up to date. For more information about using Microsoft AutoUpdate for Mac, see Check for software updates automatically.

Finally, security updates can be downloaded from the Microsoft Update Catalog. The Microsoft Update Catalog provides a searchable catalog of content made available through Windows Update and Microsoft Update, including security updates, drivers and service packs. By searching using the security bulletin number (such as, "MS07-036"), you can add all of the applicable updates to your basket (including different languages for an update), and download to the folder of your choosing. For more information about the Microsoft Update Catalog, see the Microsoft Update Catalog FAQ.

Detection and Deployment Guidance

Microsoft provides detection and deployment guidance for security updates. This guidance contains recommendations and information that can help IT professionals understand how to use various tools for detection and deployment of security updates. For more information, see Microsoft Knowledge Base Article 961747.

Microsoft Baseline Security Analyzer

The Microsoft Baseline Security Analyzer (MBSA) allows administrators to scan local and remote systems for missing security updates as well as common security misconfigurations. For more information about MBSA, visit Microsoft Baseline Security Analyzer.

Windows Server Update Services

By using Windows Server Update Services (WSUS), administrators can quickly and reliably deploy the latest critical updates and security updates for Microsoft Windows 2000 operating systems and later, Office XP and later, Exchange Server 2003, and SQL Server 2000 to Microsoft Windows 2000 and later operating systems.

For more information about how to deploy this security update using Windows Server Update Services, visit Windows Server Update Services.

System Center Configuration Manager 2007

Configuration Manager 2007 Software Update Management simplifies the complex task of delivering and managing updates to IT systems across the enterprise. With Configuration Manager 2007, IT administrators can deliver updates of Microsoft products to a variety of devices including desktops, laptops, servers, and mobile devices.

The automated vulnerability assessment in Configuration Manager 2007 discovers needs for updates and reports on recommended actions. The Software Update Management in Configuration Manager 2007 is built on Microsoft Windows Software Update Services (WSUS), a time-tested update infrastructure that is familiar to IT administrators worldwide. For more information about how administrators can use Configuration Manager 2007 to deploy updates, see Software Update Management. For more information about Configuration Manager, visit System Center Configuration Manager.

Systems Management Server 2003

Microsoft Systems Management Server (SMS) delivers a highly-configurable enterprise solution for managing updates. By using SMS, administrators can identify Windows-based systems that require security updates and to perform controlled deployment of these updates throughout the enterprise with minimal disruption to end users.

Note System Management Server 2003 is out of mainstream support as of January 12, 2010. For more information on product lifecycles, visit Microsoft Support Lifecycle. The next release of SMS, System Center Configuration Manager 2007, is now available; see the earlier section, System Center Configuration Manager 2007.

For more information about how administrators can use SMS 2003 to deploy security updates, see Scenarios and Procedures for Microsoft Systems Management Server 2003: Software Distribution and Patch Management. For information about SMS, visit the Microsoft Systems Management Server TechCenter.

Note SMS uses the Microsoft Baseline Security Analyzer to provide broad support for security bulletin update detection and deployment. Some software updates may not be detected by these tools. Administrators can use the inventory capabilities of SMS in these cases to target updates to specific systems. For more information about this procedure, see Deploying Software Updates Using the SMS Software Distribution Feature. Some security updates require administrative rights following a restart of the system. Administrators can use the Elevated Rights Deployment Tool (available in the SMS 2003 Administration Feature Pack) to install these updates.

Update Compatibility Evaluator and Application Comp atibility Toolkit

Updates often write to the same files and registry settings required for your applications to run. This can trigger incompatibilities and increase the time it takes to deploy security updates. You can streamline testing and validating Windows updates against installed applications with the Update Compatibility Evaluator components included with Application Compatibility Toolkit.

The Application Compatibility Toolkit (ACT) contains the necessary tools and documentation to evaluate and mitigate application compatibility issues before deploying Microsoft Windows Vista, a Windows Update, a Microsoft Security Update, or a new version of Windows Internet Explorer in your environment.

Other Information

Microsoft Windows Malicious Software Removal Tool

Microsoft has released an updated version of the Microsoft Windows Malicious Software Removal Tool on Windows Update, Microsoft Update, Windows Server Update Services, and the Download Center.

Non-Security Updates on MU, WU, and WSUS

For information about non-security releases on Windows Update and Microsoft Update, please see:

Microsoft Active Protections Program (MAPP)

To improve security protections for customers, Microsoft provides vulnerability information to major security software providers in advance of each monthly security update release. Security software providers can then use this vulnerability information to provide updated protections to customers via their security software or devices, such as antivirus, network-based intrusion detection systems, or host-based intrusion prevention systems. To determine whether active protections are available from security software providers, please visit the active protections Web sites provided by program partners, listed in Microsoft Active Protections Program (MAPP) Partners.

Security Strategies and Community

Update Management Strategies

Security Guidance for Update Management provides additional information about Microsoft’s best-practice recommendations for applying security updates.

Obtaining Other Security Updates

Updates for other security issues are available from the following locations:

  • Security updates are available from Microsoft Download Center. You can find them most easily by doing a keyword search for "security update".
  • Updates for consumer platforms are available from Microsoft Update.
  • You can obtain the security updates offered this month on Windows Update, from Download Center on Security and Critical Releases ISO CD Image files. For more information, see Microsoft Knowledge Base Article 913086.

IT Pro Security Community

Learn to improve security and optimize your IT infrastructure, and participate with other IT Pros on security topics in IT Pro Security Community.

Acknowledgments

Microsoft thanks the following for working with us to help protect customers:

Support

  • The affected software listed have been tested to determine which versions are affected. Other versions are past their support life cycle. To determine the support life cycle for your software version, visit Microsoft Support Lifecycle.
  • Customers in the U.S. and Canada can receive technical support from Security Support or 1-866-PCSAFETY. There is no charge for support calls that are associated with security updates. For more information about available support options, see Microsoft Help and Support.
  • International customers can receive support from their local Microsoft subsidiaries. There is no charge for support that is associated with security updates. For more information about how to contact Microsoft for support issues, visit International Help and Support.

Disclaimer

The information provided in the Microsoft Knowledge Base is provided "as is" without warranty of any kind. Microsoft disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall Microsoft Corporation or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if Microsoft Corporation or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation may not apply.

Revisions

  • V1.0 (April 12, 2011): Bulletin Summary published.
  • V1.1 (April 13, 2011): For MS11-019, clarified the vulnerability description in the Executive Summary.
  • V2.0 (April 15, 2011): For MS11-032, raised the Exploitability Index assessment rating for CVE-2011-0034 to "1 - Consistent exploit code likely."
  • V3.0 (April 21, 2011): Revised to offer the rereleased security update for MS11-025.
  • V3.1 (April 27, 2011): For MS11-024, corrected the Exploitability Index to add CVE-2010-4701 as a vulnerability addressed by this update. This is an informational change only.
  • V4.0 (May 16, 2011): MS11-018 bulletin rereleased to reoffer the update for Internet Explorer 7 on supported editions of Windows XP and Windows Server 2003. This is a detection change only. There were no changes to the binaries. Only affected customers will be offered the update. Customers who have installed the update manually and customers running configurations not targeted by the change to detection logic do not need to take any action.
  • V5.0 (June 14, 2011): For MS11-025, reoffered the update for Microsoft Visual Studio 2005 Service Pack 1, Microsoft Visual Studio 2008 Service Pack 1, Microsoft Visual Studio 2010, Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package, and Microsoft Visual C++ 2008 Service Pack 1 Redistributable Package. Customers who have previously installed this update should install the new packages on the affected systems.
  • V6.0 (August 9, 2011): For MS11-025, added Microsoft Visual Studio 2010 Service Pack 1 (KB2565057) and Microsoft Visual C++ 2010 Redistributable Package Service Pack 1 (KB2565063) as Affected Software.
  • V6.1 (October 26, 2011): For MS11-028, corrected Server Core installation applicability for .NET Framework 4 on Windows Server 2008 R2 for x64-based Systems.

Built at 2014-04-18T13:49:36Z-07:00

Did you find this helpful?
(1500 characters remaining)
Thank you for your feedback
Show:
© 2014 Microsoft. All rights reserved.